org.apache.maven.extension

## Interface ExtensionManager

- All Known Implementing Classes:
    DefaultExtensionManager

      public interface ExtensionManager

  Used to locate extensions.
  Version:
    $Id: ExtensionManager.java 793745 2009-07-13 23:24:10Z jdcasey $
  Author:
    Brett Porter

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExtension(Extension extension, MavenProject project, ArtifactRepository localRepository)`
    `java.util.Map<java.lang.String,ArtifactHandler>` | `getArtifactTypeHandlers()`
    `void` | `registerWagons()`

- - ### Method Detail

    - #### addExtension

          void addExtension(Extension extension,
                          MavenProject project,
                          ArtifactRepository localRepository)
                            throws ArtifactResolutionException,
                                   PlexusContainerException,
                                   ArtifactNotFoundException

      Throws:
        `ArtifactResolutionException`
        `PlexusContainerException`
        `ArtifactNotFoundException`

    - #### registerWagons

          void registerWagons()

    - #### getArtifactTypeHandlers

          java.util.Map<java.lang.String,ArtifactHandler> getArtifactTypeHandlers()